using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Bellwether.UIComponent
{
    /// <summary>
    /// Interaction logic for EarthAnimation.xaml
    /// </summary>
    public partial class EarthAnimation : UserControl
    {
        public EarthAnimation()
        {
            InitializeComponent();

            sb = FindResource("uxSb") as Storyboard;

            Loaded += EarthAnimation_Loaded;
            Unloaded += EarthAnimation_Unloaded;
        }

        private Storyboard sb;

        private void EarthAnimation_Unloaded(object sender, RoutedEventArgs e)
        {
            sb.Stop();
        }

        private void EarthAnimation_Loaded(object sender, RoutedEventArgs e)
        {
            sb.Begin();
        }
    }
}
